"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const log_to_stdout_1 = require("../lib/log-to-stdout");
const showroomAllComponentLoader = function (content) {
    const loaderOptions = this.getOptions();
    const paths = JSON.parse(content);
    if (loaderOptions.debug) {
        (0, log_to_stdout_1.logToStdout)(`Parsing components at: \n${paths.map((p) => `- ${p}`).join('\n')}`);
    }
    paths.forEach((path) => {
        this.addDependency(path);
    });
    const compdoc = loaderOptions.parse(paths);
    return `export default ${JSON.stringify(compdoc.reduce((result, comp) => Object.assign(result, {
        [comp.filePath]: comp,
    }), {}), null, 2)};`;
};
module.exports = showroomAllComponentLoader;
//# sourceMappingURL=showroom-all-component-loader.js.map